{
	saved_firstTime [1]
	
	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
			GiveWeapon(56);
			DropWeaponOnDeath( true );
			PlayAnimation(7);
	
			SetAttackDistance(10,8);
			SetState_Patrol(1);
			SetLineOfSight(1);
	
			SetWalkToDist(Random(4,6));
	
			TrollType = Random(0,1);
			if( TrollType = 0 ){
				SetWalking();
	
			}else{
				SetCrouching();
			}
	
			Level.GetEntity("SnprGrd").SetWander(0);
		}
	}]
}